#keep level 1 fight #2
from eventAPI import *
from APIUtils import *

rtKeep1Flag2=0

def fireEvent(e):
   global rtKeep1Flag2
   rtKeep1Flag2 = getTag(e, "rtKeep1Flag2")
   if (rtKeep1Flag2 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep1Flag2 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Wizard Wraith", 7, 4, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep1Flag2
   rtKeep1Flag2 = 1
   setTag(e, "rtKeep1Flag2", rtKeep1Flag2)
